@import url(/css/fonts.css);

* {
    --color: #000000;
    --hover-color: #9D9C9C;
    --footer-link-color: #9D9C9C;
    --bg-color: #faf9f6;
    --font: 'DM Sans', sans-serif;
    --max: 112em;
    max-width: 100%;
}

html {
    font-family: var(--font);
    background-color: var(--bg-color);
    color: var(--color);
}

body {
    position: relative;
    padding: 0;
    width: min(100dvw - 8em, var(--max));
    margin-inline: auto;

    @media screen and (max-width: 500px) {
        width: calc(100dvw - 5em);
    }
}

a:link,
a:visited {
    color: var(--color);
    text-decoration: none;
    transition: all .3s ease-in-out;
}

a:hover,
a:active {
    color: var(--hover-color);
    text-decoration: none;
    transition: all .3s ease-in-out;
}

header {
    position: fixed;
    top: 2.64em;
    left: 50%;
    translate: -50%;
    width: min(100dvw - 8em, var(--max));
    display: flex;
    justify-content: space-between;

    @media screen and (max-width: 768px) {
        position: relative;
        top: auto;
        left: auto;
        translate: none;
        margin-block-start: 3em;
    }

    @media screen and (max-width: 500px) {
        width: calc(100dvw - 5em);
        margin-block-start: 2em;
    }

    &.legal-header {
        position: relative;
        top: auto;
        left: auto;
        translate: none;
        margin-block-start: 2.64em;
    }
}

.histamici-logo {
    position: relative;
    width: 12em;

    @media screen and (max-width: 500px) {
        width: 9em;
    }
}

.link-insta {
    display: block;
    position: relative;

    img {
        width: 1.8em;
        height: 1.8em;
    }
}

main {
    width: 66%;
    margin-inline-start: auto;
    margin-block-start: 14em;
}

.schichtwechsel {
    width: 66%;
    margin: 14em 0 5.5em auto;

    @media screen and (max-width: 768px) {
        width: 100%;
        margin: 8em 0 5em auto;
    }

    @media screen and (max-width: 500px) {
        width: 100%;
        margin: 6em 0 3em auto;
    }

    img {
        width: min(44em, 100%);

        @media screen and (max-width: 768px) {
            width: 100%;
        }
    }
}

.imagefilm {
    position: relative;
    width: 66%;
    margin-inline-start: auto;

    @media screen and (max-width: 768px) {
        width: calc(100% - 8em);
    }

    @media screen and (max-width: 660px) {
        width: calc(100% - 6em);
    }

    @media screen and (max-width: 320px) {
        width: 100%;
    }

    .control {
        position: absolute;
        top: 1.5em;
        background-color: transparent;
        background-size: contain;
        border: none;
        outline: none;
        padding: 0;
        cursor: pointer;
        width: 3em;
        height: 3em;
        transition: all .2s ease-in-out;

        &.play-button {
            left: 1.5em;
            background-image: url(/images/Play-Button.svg);

            &.playing {
                background-image: url(/images/Pause-Button.svg);
            }
        }

        &.mute-button {
            display: none;
            left: 5em;
            background-image: url(/images/Sound-On-Button.svg);

            &.playing {
                display: block;
            }
        }

        &:hover {
            scale: 1.1;
        }



        &.muted {
            background-image: url(/images/Sound-Off-Button.svg);
        }
    }
}

footer {
    position: fixed;
    bottom: 2em;
    left: 50%;
    translate: -50%;
    width: min(100dvw - 8em, var(--max));

    @media screen and (max-width: 768px) {
        position: relative;
        bottom: auto;
        left: auto;
        translate: none;
        margin-block: 2em;
    }

    @media screen and (max-width: 500px) {
        width: calc(100dvw - 5em);
    }

    .column {
        display: flex;
        flex-direction: column;
        max-width: 30%;

        @media screen and (max-width: 768px) {
            max-width: calc(100% - 8em);
            margin-inline-start: auto;
        }

        @media screen and (max-width: 660px) {
            max-width: calc(100% - 6em);
        }

        @media screen and (max-width: 320px) {
            max-width: none;
        }
    }
}

label {
    margin-block-end: 2.5em;
    font-size: 1.2em;
}

.link-mail {
    display: inline-block;
    margin-block-end: 7em;
    font-size: 1.2em;

    @media screen and (max-width: 768px) {
        margin-block-end: 4em;
    }

    svg {
        width: .6em;
        display: inline-block;
        position: relative;
        top: -.1rem;
        vertical-align: middle;
        margin-right: .6em;
        fill: currentColor;
    }
}

nav.legal {
    &.rel {
        margin-block-end: 2em;
    }

    ul {
        position: relative;
        list-style: none;
        display: flex;
        padding: 0;
        margin: 0;

        @media screen and (max-width: 768px) {
            left: -8em;
        }

        @media screen and (max-width: 660px) {
            left: -6em;
        }

        @media screen and (max-width: 320px) {
            left: auto;
        }

        li {
            min-width: 8em;

            @media screen and (max-width: 660px) {
                min-width: 6em;
            }
        }

        a:link,
        a:visited {
            color: var(--footer-link-color);
            font-size: .9em;

            @media screen and (max-width: 660px) {
                font-size: .8em;
            }
        }

        a:hover,
        a:active {
            color: var(--color);
        }
    }
}


.legal-text {
    padding-block: 3em;
    margin-inline-start: auto;
    width: min(100%, var(--max) * .66);

    h1 {
        margin: 3rem 0;
    }

    h5 {
        font-size: 1.2em;
        margin: 2rem 0 1rem;
    }
}

.back-link {
    display: block;
    margin: 3rem 0;
    font-size: 1.2em;

    @media screen and (max-width: 768px) {
        margin-block-end: 4em;
    }

    svg {
        width: .6em;
        display: inline-block;
        position: relative;
        top: -.1rem;
        vertical-align: middle;
        margin-right: .6em;
        fill: currentColor;
        rotate: 270deg;
    }
}